# Awesome Kinesis [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome) ![GitHub last commit](https://img.shields.io/github/last-commit/bbbbbrie/awesome-kinesis) ![GitHub contributors](https://img.shields.io/github/contributors/bbbbbrie/awesome-kinesis)

> A curated list of projects, resources and references for Kinesis keyboard enthusiasts (unofficial, not affiliated with Kinesis)

## Keyboard Mod Projects
*Source code, write-ups and recaps from bold adventurers who have modded their keyboards. In many cases, the details are sufficient for these to serve as walkthroughs.*
-   [Access the on-board drive](https://gist.github.com/nicholasknight/181375ee15f9cb89d3c69f4cc2b63df9) - Experiment with accessing the FAT12 filesystem
-   [Adding extra keys to your Kinesis Advantage](https://geekhack.org/index.php?topic=26579.0) 
-   [Backlit Kinesis board on YouTube](https://youtu.be/n8WKy7WP7Ls) - Kinesis with LEDs in action
-   [Backlit Kinesis write up](https://geekhack.org/index.php?topic=45078.0) - Write up on the abovementioned backlit Kinesis
-   [Changing the Key Switches in a Kinesis Advantage Keyboard](http://www.gilesorr.com/misc/keyboards/kinesiskeys.html) - Brief guide on replacing the switches
-   [Hacking the Kinesis Keyboard for more Buttons](https://blog.d46.us/hacking-kinesis-keyboard/) 
-   [Keyboard firmware](https://github.com/chrisandreae/keyboard-firmware) - Replacement firmware for various keyboard (Kinesis, Ergodox) using an Atmel AVR microcontroller
-   [Kinesis Advantage Keyboard Case](http://www.jones.ec/blogs/a/entry/kinesis_advantage_keyboard_case) - Get a case for your keyboard
-   [Kinesis Advantage with Cherry MX Green switches](https://imgur.com/a/lEqK7) - Great build log and inventory guide
-   [Kinesis Advantage with DSA keycaps](http://sitr.us/2014/05/19/kinesis-advantage-with-dsa-keycaps.html) - Great reproducible writeup
-   [Kinesis Freestyle Keyboard Firmware Hacks](https://github.com/rbasoalto/kinesis-freestyle-fw-hack)
-   [Kinesis Freestyle 2 Keyboard 'Mod' (to Fix Media Keys)](http://alvarop.com/2013/08/kinesis-freestyle-2-keyboard-mod-to-fix-media-keys)
-   [Kinesis Keyboard Gallery](http://xahlee.info/kbd/keyboard_Kinesis_cool_gallery.html) - Cool gallery including lots of mods and even backlighting
-   [Kinesis remodeling plan](https://translate.google.com/translate?hl=en&ie=UTF8&prev=_t&rurl=translate.google.com&sl=ja&tl=en&twu=1&u=http://d.hatena.ne.jp/satromi/20081012/1223800934) - Translated from Japanese, someone adding a trackpoint to their keyboard
-   [kinT keyboard controller](https://github.com/kinx-project/kint) - The kinT keyboard controller is a replacement for your Kinesis Advantage or Advantage 2 ergonomic keyboards.
-   [Remapping Keypad on Kinesis Advantage Keyboard](http://geoff.evason.name/2015/04/30/remapping-keypad-on-a-kinesis-advantage-keyboard) - Use foot switch accessory (if you have one) to remap the keypad
-   [SA Profile Keys on a Kinesis Advantage](https://adereth.github.io/blog/2015/02/17/sa-profile-keys-on-a-kinesis-advantage/) - Lots of pictures and super cool colorful keycaps
-   [The Kinesis Contoured Keyboard and Dvorak Layout](http://joshcarter.com/productivity/kinesis_contoured_keyboard) - Hand painted Kinesis Contoured keyboard
-   [The Kinesis Conversion](http://tech.skryl.org/post/60613686455/the-kinesis-conversion) - Convert a Kinesis to use Cherry Blue switches
-   [Hacking your own Kinesis keyboard controller](https://michael.stapelberg.ch/posts/2013-03-21-kinesis_custom_controller/) - Make a Kinesis compatible with QMK firmware (https://docs.qmk.fm/#/) AKA “Stapelberg Mod”
-   [Opinionated pack of layouts (Kinesis Advantage 2 or QMK compatible)](https://github.com/vlnn/kinesis-advantage-2) - Never go far away from the home row with Alt, Win, Ctrl and Shift mapped to A,S,D,F and J,K,L,;.
-   [Bluetooth Kinesis Advantage](https://github.com/sysdevmike/KinesisBLE) - Convert an Advantage to use bluetooth with USB charging.

-   [Kinesis Advantage](https://github.com/diimdeep/awesome-split-keyboards#kinesis-advantage) on the [awesome-split-keyboards](https://github.com/diimdeep/awesome-split-keyboards) awesome list. Awesome! 

## References
*References for additional information about the Kinesis keyboard*
-   [KinesisCorporation/SmartSetApps](https://github.com/KinesisCorporation/SmartSetApps) - SmartSet apps for keyboards, foots pedals and more 
-   [Keyboard layouts and macros for the Kinesis Advantage 2 keyboard.](https://github.com/farmergreg/kinesis-advantage-2) - Optimizing Kinesis usage for vim, programming, gaming and more!
-   [Keycap Replacement Charts](https://deskthority.net/wiki/Kinesis_Contoured#Keycaps) - by way of Deskthority
-   [@kinesisergo on Twitter](https://twitter.com/kinesisergo) - Kinesis Ergo on Twitter
-   [Kinesis Advantage - Everything you want to know but are afraid to task!](https://geekhack.org/index.php?topic=8110.0) - Detailed geekhack thread
-   [Kinesis Contoured on Deskthority](https://deskthority.net/wiki/Kinesis_Contoured) - Deskthority article
-   [Kinesis Keyboard Key Remap/Macro/Layout How-To](http://xahlee.info/kbd/kinesis_keyboard_howto.html) - Detailed guide on switching layouts, remapping keys, setting macros and more.
-   [Kinesis Keyboard Quick Reference](https://alumni.media.mit.edu/~nelson/misc/kinesis-quickref.html)
-   [Kinesis Reference](https://web.mit.edu/jmorzins/Public/kinesisCheatSheet.html)
-   [Mechanical Aspects of Kinesis Advantage keys](https://www.fysh.org/~zefram/keyboard/advantage_keys_mech.txt) - Details on the physical and mechanical makeup of the keys
-   [Official Kinesis Manuals (all models)](https://www.kinesis-ergo.com/support/technical-support/manuals-drivers/) - Manuals for all models of Kinesis keyboards and accessories
-   [Wikipedia page on Kinesis (keyboard)](https://en.wikipedia.org/wiki/Kinesis_(keyboard)) - From Wikipedia, the free encyclopedia

## Shopping
-  [Kinesis Keyboards](https://www.kinesis-ergo.com/products/) - Kinesis keyboards website
-  [Seahorse SE-720 - Waterproof Case](http://www.seahorsecases.net/seahorse-se-720.html) - Case that may be used for your keyboard, as recommended above
-  [Kinesis Advantage PBT keycaps](https://keycap.sh/) - PBT blank DCS replacement keycaps for the Kinesis Advantage.

### Keyboards

  - [Advantage2](https://kinesis-ergo.com/keyboards/advantage2-keyboard/)
  - [Freestyle Pro](https://kinesis-ergo.com/products/#freestyle-pro)
  - [Freestyle2](https://kinesis-ergo.com/products/#freestyle2)
  - [Advantage360](https://kinesis-ergo.com/keyboards/advantage360/) - Coming Late 2022

See [Support for my Device](https://kinesis-ergo.com/support/#support-for-my-device) for a list of available products, including models that have been discontinued (Advantage keyboard). 


## Software
-  [Linux Driver for Kinesis Freestyle 2](https://github.com/whereswaldon/kfreestyle2d)
-  [Kinesis Advantage2 remapping helper](https://github.com/kijowski/kinesis) - Simple tool to help Kinesis Advantage2 owners with visualization of their remap files. Live version available at [kinesis.vercel.app](https://kinesis.vercel.app/)

## Support
-  [Contact a Technician](https://kinesis-ergo.com/support/contact-a-technician/) - Submit a ticket for assistance with your Kinesis keyboard.
